#pragma once
#include "nanny_request.h"
#include <saas/deploy_manager/config/config.h>

class TNannyRequestExecutor {
private:
    const TDeployManagerConfig::TNannyConfig NannyConfig;

public:
    TNannyRequestExecutor(const TDeployManagerConfig::TNannyConfig& nannyConfig);

    bool ExecuteRequest(IRequest& request, bool& isFatal, const int maxRetries=10);
};

